      subroutine lmd_wscale_tile (Istr,Iend,Jstr,Jend, Bfsfc,sigma,
     &                                                       wm,ws)      


      use Agrif_Util
#include "Param_BeforeCall_lmd_wscale_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: Bfsfc
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: sigma
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: wm
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: ws
      

        call Sub_Loop_lmd_wscale_tile(Istr,Iend,Jstr,Jend,Bfsfc,sigma,wm
     &,ws, Agrif_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agri
     &f_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars
     &(81)%array2, Agrif_tabvars(121)%array2)

      end


#include "Sub_Loop_lmd_wscale_tile.h"
      subroutine lmd_wscale_ER_tile (Istr,Iend,Jstr,Jend, Bfsfc,sigma,
     &                                                          wm,ws)      


      use Agrif_Util
#include "Param_BeforeCall_lmd_wscale_ER_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: Bfsfc
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: sigma
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: wm
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: ws
      

        call Sub_Loop_lmd_wscale_ER_tile(Istr,Iend,Jstr,Jend,Bfsfc,sigma
     &,wm,ws, Agrif_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, A
     &grif_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabv
     &ars(81)%array2, Agrif_tabvars(121)%array2, Agrif_tabvars_l(13)%lar
     &ray0, Agrif_tabvars_l(14)%larray0, Agrif_tabvars_l(11)%larray0, Ag
     &rif_tabvars_l(12)%larray0)

      end


#include "Sub_Loop_lmd_wscale_ER_tile.h"
